# Uses of Class
net.shibboleth.idp.cas.ticket.ProxyTicket

Packages that use ProxyTicket
Package
Description
net.shibboleth.idp.cas.ticket
APIs related to CAS tickets.
net.shibboleth.idp.cas.ticket.impl
CAS protocol ticket implementations.
net.shibboleth.idp.cas.ticket.serialization.impl
CAS protocol ticket serialization implementations.

## Uses of ProxyTicket in net.shibboleth.idp.cas.ticket

Methods in net.shibboleth.idp.cas.ticket that return ProxyTicket
Modifier and Type
Method
Description
`ProxyTicket`
TicketService.`createProxyTicket(String id, Instant expiry, ProxyGrantingTicket pgt, String service)`
Creates and stores a proxy ticket for the given service.
`ProxyTicket`
TicketService.`removeProxyTicket(String id)`
Removes the proxy ticket with the given identifier.
Methods in net.shibboleth.idp.cas.ticket with parameters of type ProxyTicket
Modifier and Type
Method
Description
`ProxyGrantingTicket`
TicketService.`createProxyGrantingTicket(String id, Instant expiry, ProxyTicket proxyTicket, String pgtUrl)`
Creates a chained proxy-granting ticket from a proxy ticket.

## Uses of ProxyTicket in net.shibboleth.idp.cas.ticket.impl

Methods in net.shibboleth.idp.cas.ticket.impl that return ProxyTicket
Modifier and Type
Method
Description
`ProxyTicket`
EncodingTicketService.`createProxyTicket(String id, Instant expiry, ProxyGrantingTicket pgt, String service)`
Creates and stores a proxy ticket for the given service.
`ProxyTicket`
SimpleTicketService.`createProxyTicket(String id, Instant expiry, ProxyGrantingTicket pgt, String service)`
Creates and stores a proxy ticket for the given service.
`ProxyTicket`
EncodingTicketService.`removeProxyTicket(String id)`
Removes the proxy ticket with the given identifier.
`ProxyTicket`
SimpleTicketService.`removeProxyTicket(String id)`
Removes the proxy ticket with the given identifier.
Methods in net.shibboleth.idp.cas.ticket.impl with parameters of type ProxyTicket
Modifier and Type
Method
Description
`ProxyGrantingTicket`
AbstractTicketService.`createProxyGrantingTicket(String id, Instant expiry, ProxyTicket proxyTicket, String pgtUrl)`
Creates a chained proxy-granting ticket from a proxy ticket.

## Uses of ProxyTicket in net.shibboleth.idp.cas.ticket.serialization.impl

Methods in net.shibboleth.idp.cas.ticket.serialization.impl that return ProxyTicket
Modifier and Type
Method
Description
`protected ProxyTicket`
ProxyTicketSerializer.`createTicket(JsonObject o, String id, String service, Instant expiry)`
Create a ticket.
Methods in net.shibboleth.idp.cas.ticket.serialization.impl with parameters of type ProxyTicket
Modifier and Type
Method
Description
`protected void`
ProxyTicketSerializer.`serializeInternal(JsonGenerator generator, ProxyTicket ticket)`
Serialize a ticket.